ports/66214: add db4.2 option to postfix-current

Vivek Khera vivek at khera.org
Mon May 3 18:00:52 UTC 2004


>Number:         66214
>Category:       ports
>Synopsis:       add db4.2 option to postfix-current
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 03 11:00:50 PDT 2004
>Closed-Date:
>Last-Modified:
>Originator:     Vivek Khera
>Release:        FreeBSD 5.2.1-RELEASE-p5 i386
>Organization:
>Environment:
System: FreeBSD crash.int.kcilink.com 5.2.1-RELEASE-p5 FreeBSD 5.2.1-RELEASE-p5 #7: Wed Apr 28 12:11:01 EDT 2004 khera at crash.int.kcilink.com:/var/usr.obj/usr/src/sys/CRASH i386


	
>Description:
	

add option to build postfix-current with DB 4.2

cleanup pkg-plist for files not really installed by currently broken options.

>How-To-Repeat:
	
>Fix:

	

diff -Nru postfix-current/pkg-plist postfix-current.new/pkg-plist
--- postfix-current/pkg-plist	Mon May  3 11:44:54 2004
+++ postfix-current.new/pkg-plist	Mon May  3 13:48:47 2004
@@ -22,8 +22,6 @@
 etc/postfix/dist-relocated
 etc/postfix/dist-transport
 etc/postfix/dist-virtual
-%%SUB_IPV6%%etc/postfix/dist-ipv6.cf
-%%SUB_TLS%%etc/postfix/dist-tls.cf
 libexec/postfix/anvil
 libexec/postfix/bounce
 libexec/postfix/cleanup
@@ -93,6 +91,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/FILTER_README.html
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL.html
+%%PORTDOCS%%%%SUB_IPV6%%%%DOCSDIR%%/IPV6_README
 %%PORTDOCS%%%%DOCSDIR%%/LDAP_README
 %%PORTDOCS%%%%DOCSDIR%%/LDAP_README.html
 %%PORTDOCS%%%%DOCSDIR%%/LINUX_README
diff -Nru postfix-current/scripts/configure.postfix postfix-current.new/scripts/configure.postfix
--- postfix-current/scripts/configure.postfix	Mon May  3 11:44:54 2004
+++ postfix-current.new/scripts/configure.postfix	Mon May  3 13:50:13 2004
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $FreeBSD: ports/mail/postfix-current/scripts/configure.postfix,v 1.50 2004/05/02 17:31:57 pav Exp $
+# $FreeBSD: ports/mail/postfix-current/scripts/configure.postfix,v 1.49 2004/03/25 17:37:20 osa Exp $
 
 if [ -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc ]; then
 	exit
@@ -29,6 +29,7 @@
 DB3		"Berkeley DB3 (required if SASL also built with DB3)" "$status_DB3" \
 DB40		"Berkeley DB4.0 (required if SASL also built with DB4.0)" "$status_DB40" \
 DB41		"Berkeley DB4.1 (required if SASL also built with DB4.1)" "$status_DB41" \
+DB42		"Berkeley DB4.2 (required if SASL also built with DB4.2)" "$status_DB42" \
 MySQL		"MySQL map lookups (choose version with WITH_MYSQL_VER)" "$status_MySQL" \
 PgSQL		"PostgreSQL v7.4 map lookups" "$status_PgSQL" \
 PgSQL73		"PostgreSQL v7.3 map lookups" "$status_PgSQL73" \
@@ -114,8 +115,8 @@
 			SUB_TLS=""
 			;;
 		DB3)
-			if [ X$DB40_SELECTED != "X" -o X$DB41_SELECTED != "X" ]; then
-				/usr/bin/dialog --msgbox "Select exactly one of the DB3, DB40 and DB41 options." 5 60 > /dev/stderr
+			if [ "X$BDB_SELECTED" != "X" ]; then
+				/usr/bin/dialog --msgbox "Select exactly one of the DB3, DB40, DB41 and DB42 options." 5 60 > /dev/stderr
 				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
 				exit 1
 			fi
@@ -123,11 +124,11 @@
 			echo "POSTFIX_CCARGS+=	-I\${LOCALBASE}/include/db3"
 			echo "POSTFIX_AUXLIBS+=	-L\${LOCALBASE}/lib -ldb3"
 			echo "DB_SUFFIX=	+db3"
-			DB3_SELECTED="YES"
+			BDB_SELECTED="3"
 			;;
 		DB40)
-			if [ X$DB3_SELECTED != "X" -o X$DB41_SELECTED != "X" ]; then
-				/usr/bin/dialog --msgbox "Select exactly one of the DB3, DB40 and DB41 options." 5 60 > /dev/stderr
+			if [ "X$BDB_SELECTED" != "X" ]; then
+				/usr/bin/dialog --msgbox "Select exactly one of the DB3, DB40, DB41 and DB42 options." 5 60 > /dev/stderr
 				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
 				exit 1
 			fi
@@ -135,11 +136,11 @@
 			echo "POSTFIX_CCARGS+=	-I\${LOCALBASE}/include/db4"
 			echo "POSTFIX_AUXLIBS+=	-L\${LOCALBASE}/lib -ldb4"
 			echo "DB_SUFFIX=	+db40"
-			DB40_SELECTED="YES"
+			BDB_SELECTED="40"
 			;;
 		DB41)
-			if [ X$DB3_SELECTED != "X" -o X$DB40_SELECTED != "X" ]; then
-				/usr/bin/dialog --msgbox "Select exactly one of the DB3, DB40 and DB41 options." 5 60 > /dev/stderr
+			if [ "X$BDB_SELECTED" != "X" ]; then
+				/usr/bin/dialog --msgbox "Select exactly one of the DB3, DB40, DB41 and DB42 options." 5 60 > /dev/stderr
 				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
 				exit 1
 			fi
@@ -147,7 +148,19 @@
 			echo "POSTFIX_CCARGS+=	-I\${LOCALBASE}/include/db41"
 			echo "POSTFIX_AUXLIBS+=	-L\${LOCALBASE}/lib -ldb41"
 			echo "DB_SUFFIX=	+db41"
-			DB41_SELECTED="YES"
+			BDB_SELECTED="41"
+			;;
+		DB42)
+			if [ "X$BDB_SELECTED" != "X" ]; then
+				/usr/bin/dialog --msgbox "Select exactly one of the DB3, DB40, DB41 and DB42 options." 5 60 > /dev/stderr
+				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+				exit 1
+			fi
+			echo "LIB_DEPENDS+=	db-4.2.2:\${PORTSDIR}/databases/db42"
+			echo "POSTFIX_CCARGS+=	-I\${LOCALBASE}/include/db42"
+			echo "POSTFIX_AUXLIBS+=	-L\${LOCALBASE}/lib/db42/ -ldb"
+			echo "DB_SUFFIX=	+db42"
+			BDB_SELECTED="42"
 			;;
 		MySQL)
 			echo "USE_MYSQL=YES"

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list